close all;
clear all;
% Definir o sistema

Num = [0 1]
Den = [1 -.25]

%Encontra a resposta impulsiva com n pontos

n = 5;
y1 = dimpulse(Num, Den, n);

%Imprime a resposta
figure, stem(y1);

%Cria o sistema
MatrizA = diag(ones(n-2,1),-1);
MatrizB = zeros(n-1,1); MatrizB(1) = 1;
MatrizC = y1(2:n)';
MatrizD = y1(1);

y2 = dimpulse(MatrizA,MatrizB,MatrizC,MatrizD,1, n);    

figure, stem(y2);

%reduzindo o sistema

%[am,bm,cm,dm,totbnd,hsv] = schmr(MatrizA,MatrizB,MatrizC,MatrizD,1,10);

%[ax,bx,cx,dx,ay,by,cy,dy,hsv] = ohkapp(MatrizA,MatrizB,MatrizC,MatrizD,1,3);

[ax,bx,cx,dx,ay] = obalreal(MatrizA,MatrizB,MatrizC);